#
# spec file for package suselinux-adminguide_cs (Version 9.1.0.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         suselinux-adminguide_cs
%define my_lang cs
#%%define my_prov_obs qconfig_%{my_lang} qappl_%{my_lang}
%define verbose_name SuSE-Linux-Adminguide
%define my_supported_archs x86_64 %ix86 ia64
Version:      9.1.0.0
Release:      1.2
Source:       %{name}.pdf
#Obsoletes:    %{my_prov_obs}
#Provides:     %{my_prov_obs}
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Documentation/SuSE
License:      Other License(s), see package
Summary:      SuSE Linux Adminguide (czech)
PreReq:       /bin/rm /bin/ln
# ExclusiveArch: x86_64 %ix86 ia64
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define MYDOC %{_defaultdocdir}/%{name}
%define TEXDIR /usr/share/texmf/tex/latex/susebook

%description
SuSE Linux Adminguide (Czech).



%package pdf
Group:        Documentation/SuSE
License:      Other License(s), see package
PreReq:       /bin/rm /bin/ln
Summary:      SuSE Linux Adminguide (czech)

%description pdf
SuSE Linux Adminguide (Czech).



%prep
%ifarch %{my_supported_archs}
:
%else
cat <<EOF >README.SuSE
There is no %name for archs != %{my_supported_archs}
EOF
%endif

%build
%ifarch %{my_supported_archs}
# lang=$(echo %{name} | sed 's:.*_\(.*\):\1:')
cp %{S:0} %{verbose_name}-%{version}.pdf
find . -name CVS -o -name '.cvsignore' | xargs rm -fr
%endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
%ifarch %{my_supported_archs}
#

%post
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  ln -s %{verbose_name}-%{version}.pdf %{verbose_name}.pdf
popd >/dev/null
fi

%preun
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC} >/dev/null
  rm -f %{verbose_name}.pdf
  popd >/dev/null
fi
%endif

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}
%ifarch %{my_supported_archs}
%doc %{verbose_name}-%{version}.pdf
%else
%doc README.SuSE
%endif

%changelog -n suselinux-adminguide_cs
* Fri Apr 16 2004 - ke@suse.de
- Rename SuSE-Linux-Userguide.pdf to SuSE-Linux-Adminguide.pdf;
  reported by Klara Cihlarova [#39052].
* Thu Apr 01 2004 - ke@suse.de
- New package; provided by Klara Cihlarova.
